Create Entity User

Use the /entity/create endpoint to create a new entity (business) user. This endpoint is specifically designed for onboarding business entities rather than individual users.


📘 Note: An entity user record is required before you can create a business account. The entity should pass all onboarding checks enforced by your program before creating an account.


Things to Note:

  • Entity users are identified by their EIN (Employer Identification Number) rather than SSN/ITIN.
  • Entity users have different required fields than individual users, including entityName and entityDetails.
  • Beneficial owners can be linked to the entity. Each beneficial owner must be an existing individual (non-anonymous) user.
  • When beneficial owners are added, they are automatically linked to the entity with a 'beneficial_owner' linkage type.
  • Beneficial owners are validated to ensure they belong to the same company as the entity being created.
Body Params

POST /v1/entity/create Request body

string

The session key for the user. Created via Create ZTM Session and used for ZTM checks if your program is configured for ZTM.

boolean

Indicates whether to bypass the ZTM checks if your program is configured for ZTM.

string

Unique ID that identifies the user in your system. This is your own ID for a given user if you also store/maintain user information.

string
required

The EIN (Employer Identification Number) for the entity

string
enum
Defaults to en_US

The user's language and localization preference

Allowed:
string
required
length between 1 and 255

The legal name of the entity

string
required
length between 3 and 63

The user's email address

string

The user's phone number. Prefer E.164 (+country code) for international numbers; national-format numbers are parsed with default region US.

address
object
required
string
required

Required. The product the user will be assigned to. Future accounts associated with a user can still be assigned different products upon account creation.

entityDetails
object
required

Additional details about the entity

string

Spidr Template ID for identity verification

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json